> ## Documentation Index
> Fetch the complete documentation index at: https://secdocs.asikoexpress.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark every notification for the current user as read



## OpenAPI

````yaml /openapi/engagement-service.json post /v1/notifications/read-all
openapi: 3.0.0
info:
  title: Asiko Engagement Service
  description: Notifications, campaigns/discounts, and analytics/reporting
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: notifications
    description: ''
  - name: campaigns
    description: ''
  - name: analytics
    description: ''
paths:
  /v1/notifications/read-all:
    post:
      tags:
        - notifications
      summary: Mark every notification for the current user as read
      operationId: NotificationsController_markAllRead
      parameters: []
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarkAllReadResponseDto'
      security:
        - bearer: []
components:
  schemas:
    MarkAllReadResponseDto:
      type: object
      properties:
        updated:
          type: number
          description: Number of notifications updated
      required:
        - updated
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````